Subject: [Nel] Linux: patch for misc/mutex.cpp (cf. David Mentre post)

From: Vincent Caron <[email-masked]>
Date: 07 Jan 2002 17:35:37 +0100

'PTHREAD_MUTEX_FAST_NP' is a GNU extension to Posix threads, either :

- add '#define _GNU_SOURCE' before the '#include <pthread.h>'
- or replace PTHREAD_MUTEX_FAST_NP with PTHREAD_MUTEX_ADAPTIVE_NP

I recommend the second alternative, since it is equivalent (FAST mutex
is currently equivalent to ADAPTIVE mutex) and more portable.

---

From: Cedric Valignat <[email-masked]>
Date: Tue, 8 Jan 2002 16:57:49 +0100

Hello Vincent,

I commited your patch to NEL.

Thanks for your help :-)

> is currently equivalent to ADAPTIVE mutex) and more portable.

Cedric.